.has-border {
    border-style: solid;
    border-width: 1px;
}

.not-rounded {
    border-radius: 0;
}

/* reset class */
.rounded-all,
.rounded-s,
.rounded-t {
    border-top-left-radius: .5rem;
}

.rounded-all,
.rounded-t {
    border-top-right-radius: .5rem;
}

.rounded-all,
.rounded-s,
.rounded-b {
    border-bottom-left-radius: .5rem;
}

.rounded-all,
.rounded-b {
    border-bottom-right-radius: .5rem;
}

@media screen and (min-width: 768px) {
    .rounded-md-all,
    .rounded-md-t {
        border-top-left-radius: .5rem;
    }

    .rounded-md-all,
    .rounded-md-t {
        border-top-right-radius: .5rem;
    }

    .rounded-md-all,
    .rounded-md-b {
        border-bottom-left-radius: .5rem;
    }

    .rounded-md-all,
    .rounded-md-b {
        border-bottom-right-radius: .5rem;
    }
}

@media screen and (min-width: 992px) {
    .not-rounded-lg {
        border-radius: 0;
    }
    
    .rounded-lg-b {
        border-bottom-left-radius: .5rem;
    }

    .rounded-lg-b {
        border-bottom-right-radius: .5rem;
    }
}